| Flutter Impeller |

Public Member Functions | List of all members
std::equal_to< impeller::SubpixelGlyph > Struct Reference

`#include <font_glyph_pair.h>`

## Public Member Functions
constexpr bool | operator() (const impeller::SubpixelGlyph &lhs, const impeller::SubpixelGlyph &rhs) const

## Detailed Description

Definition at line 96 of file font_glyph_pair.h.

## Member Function Documentation

## ◆ operator()()

constexpr bool std::equal_to< impeller::SubpixelGlyph >::operator() | ( | const impeller::SubpixelGlyph & | lhs,
|  | const impeller::SubpixelGlyph & | rhs
| ) |  | const
| inline constexpr

Definition at line 97 of file font_glyph_pair.h.

98 {
99 return lhs.glyph.index == rhs.glyph.index &&
100 lhs.glyph.type == rhs.glyph.type &&
101 lhs.subpixel_offset == rhs.subpixel_offset &&
102 lhs.properties.color.ToARGB() == rhs.properties.color.ToARGB() &&
103 lhs.properties.stroke == rhs.properties.stroke &&
104 lhs.properties.stroke_cap == rhs.properties.stroke_cap &&
105 lhs.properties.stroke_join == rhs.properties.stroke_join &&
106 lhs.properties.stroke_miter == rhs.properties.stroke_miter &&
107 lhs.properties.stroke_width == rhs.properties.stroke_width;
108 }

References impeller::GlyphProperties::color, impeller::SubpixelGlyph::glyph, impeller::Glyph::index, impeller::SubpixelGlyph::properties, impeller::GlyphProperties::stroke, impeller::GlyphProperties::stroke_cap, impeller::GlyphProperties::stroke_join, impeller::GlyphProperties::stroke_miter, impeller::GlyphProperties::stroke_width, impeller::SubpixelGlyph::subpixel_offset, impeller::Color::ToARGB(), and impeller::Glyph::type.

The documentation for this struct was generated from the following file:

- impeller/typographer/font_glyph_pair.h

impeller::SubpixelGlyph::subpixel_offset
Point subpixel_offset
Definition: font_glyph_pair.h:42
impeller::Color::ToARGB
constexpr uint32_t ToARGB() const
Convert to ARGB 32 bit color.
Definition: color.h:261
impeller::GlyphProperties::stroke_miter
Scalar stroke_miter
Definition: font_glyph_pair.h:24
impeller::GlyphProperties::color
Color color
Definition: font_glyph_pair.h:20
impeller::SubpixelGlyph::glyph
Glyph glyph
Definition: font_glyph_pair.h:41
impeller::SubpixelGlyph::properties
GlyphProperties properties
Definition: font_glyph_pair.h:43
impeller::GlyphProperties::stroke_join
Join stroke_join
Definition: font_glyph_pair.h:23
impeller::Glyph::index
uint16_t index
Definition: glyph.h:22
impeller::GlyphProperties::stroke
bool stroke
Definition: font_glyph_pair.h:25
impeller::GlyphProperties::stroke_width
Scalar stroke_width
Definition: font_glyph_pair.h:21
impeller::Glyph::type
Type type
Whether the glyph is a path or a bitmap.
Definition: glyph.h:27
impeller::GlyphProperties::stroke_cap
Cap stroke_cap
Definition: font_glyph_pair.h:22